#pragma once
#include <Swiften/Version.h>
#include <Swiften/Parser/StartTLSFailureParser.h>
#include <Swiften/Parser/AuthFailureParser.h>
#include <Swiften/Parser/AuthChallengeParser.h>
#include <Swiften/Parser/GenericPayloadParser.h>
#include <Swiften/Parser/IQParser.h>
#include <Swiften/Parser/PayloadParser.h>
#include <Swiften/Parser/AuthSuccessParser.h>
#include <Swiften/Parser/EnableStreamManagementParser.h>
#include <Swiften/Parser/XMLParser.h>
#include <Swiften/Parser/CompressFailureParser.h>
#include <Swiften/Parser/AttributeMap.h>
#include <Swiften/Parser/XMPPParserClient.h>
#include <Swiften/Parser/UnknownElementParser.h>
#include <Swiften/Parser/CompressParser.h>
#include <Swiften/Parser/SerializingParser.h>
#include <Swiften/Parser/AuthResponseParser.h>
#include <Swiften/Parser/BOSHBodyExtractor.h>
#include <Swiften/Parser/PayloadParserFactoryCollection.h>
#include <Swiften/Parser/StanzaAckParser.h>
#include <Swiften/Parser/CompressedParser.h>
#include <Swiften/Parser/GenericPayloadParserFactory.h>
#include <Swiften/Parser/StartTLSParser.h>
#include <Swiften/Parser/Attribute.h>
#include <Swiften/Parser/GenericStanzaParser.h>
#include <Swiften/Parser/GenericPayloadParserFactory2.h>
#include <Swiften/Parser/AuthRequestParser.h>
#include <Swiften/Parser/StanzaParser.h>
#include <Swiften/Parser/XMLParserFactory.h>
#include <Swiften/Parser/TLSProceedParser.h>
#include <Swiften/Parser/ElementParser.h>
#include <Swiften/Parser/StreamResumeParser.h>
#include <Swiften/Parser/StreamManagementEnabledParser.h>
#include <Swiften/Parser/XMLParserClient.h>
#include <Swiften/Parser/StreamResumedParser.h>
#include <Swiften/Parser/ComponentHandshakeParser.h>
#include <Swiften/Parser/LibXMLParser.h>
#include <Swiften/Parser/UnknownPayloadParser.h>
#include <Swiften/Parser/XMPPParser.h>
#include <Swiften/Parser/MessageParser.h>
#include <Swiften/Parser/PlatformXMLParserFactory.h>
#include <Swiften/Parser/StreamFeaturesParser.h>
#include <Swiften/Parser/ExpatParser.h>
#include <Swiften/Parser/EnumParser.h>
#include <Swiften/Parser/StreamErrorParser.h>
#include <Swiften/Parser/PayloadParserFactory.h>
#include <Swiften/Parser/StreamManagementFailedParser.h>
#include <Swiften/Parser/GenericElementParser.h>
#include <Swiften/Parser/StanzaAckRequestParser.h>
#include <Swiften/Parser/GenericPayloadTreeParser.h>
#include <Swiften/Parser/PresenceParser.h>
#include <Swiften/Parser/Tree/NullParserElement.h>
#include <Swiften/Parser/Tree/ParserElement.h>
#include <Swiften/Parser/Tree/TreeReparser.h>
#include <Swiften/Parser/PayloadParsers/RawXMLPayloadParser.h>
#include <Swiften/Parser/PayloadParsers/DeliveryReceiptParserFactory.h>
#include <Swiften/Parser/PayloadParsers/PubSubAffiliationParser.h>
#include <Swiften/Parser/PayloadParsers/SecurityLabelParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubOwnerConfigureParser.h>
#include <Swiften/Parser/PayloadParsers/PrivateStorageParserFactory.h>
#include <Swiften/Parser/PayloadParsers/DeliveryReceiptRequestParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubSubscriptionsParser.h>
#include <Swiften/Parser/PayloadParsers/CarbonsSentParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubOwnerSubscriptionsParser.h>
#include <Swiften/Parser/PayloadParsers/BlockParser.h>
#include <Swiften/Parser/PayloadParsers/StreamInitiationFileInfoParser.h>
#include <Swiften/Parser/PayloadParsers/BytestreamsParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubItemParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubCreateParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubPublishParser.h>
#include <Swiften/Parser/PayloadParsers/JingleParser.h>
#include <Swiften/Parser/PayloadParsers/ThreadParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubRetractParser.h>
#include <Swiften/Parser/PayloadParsers/UserLocationParser.h>
#include <Swiften/Parser/PayloadParsers/CarbonsEnableParser.h>
#include <Swiften/Parser/PayloadParsers/SubjectParser.h>
#include <Swiften/Parser/PayloadParsers/MUCItemParser.h>
#include <Swiften/Parser/PayloadParsers/RosterParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubSubscribeOptionsParser.h>
#include <Swiften/Parser/PayloadParsers/JingleIBBTransportMethodPayloadParser.h>
#include <Swiften/Parser/PayloadParsers/DeliveryReceiptParser.h>
#include <Swiften/Parser/PayloadParsers/CarbonsPrivateParser.h>
#include <Swiften/Parser/PayloadParsers/JingleFileTransferHashParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubConfigureParser.h>
#include <Swiften/Parser/PayloadParsers/JingleContentPayloadParserFactory.h>
#include <Swiften/Parser/PayloadParsers/ChatStateParserFactory.h>
#include <Swiften/Parser/PayloadParsers/IsodeIQDelegationParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubEventDisassociateParser.h>
#include <Swiften/Parser/PayloadParsers/MAMQueryParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubEventRetractParser.h>
#include <Swiften/Parser/PayloadParsers/MAMFinParser.h>
#include <Swiften/Parser/PayloadParsers/MUCDestroyPayloadParser.h>
#include <Swiften/Parser/PayloadParsers/CommandParser.h>
#include <Swiften/Parser/PayloadParsers/StorageParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubErrorParserFactory.h>
#include <Swiften/Parser/PayloadParsers/InBandRegistrationPayloadParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubEventSubscriptionParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubEventCollectionParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubOwnerSubscriptionParser.h>
#include <Swiften/Parser/PayloadParsers/RosterItemExchangeParser.h>
#include <Swiften/Parser/PayloadParsers/SoftwareVersionParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubEventConfigurationParser.h>
#include <Swiften/Parser/PayloadParsers/PrivateStorageParser.h>
#include <Swiften/Parser/PayloadParsers/LastParser.h>
#include <Swiften/Parser/PayloadParsers/FullPayloadParserFactoryCollection.h>
#include <Swiften/Parser/PayloadParsers/PubSubAffiliationsParser.h>
#include <Swiften/Parser/PayloadParsers/StreamInitiationParser.h>
#include <Swiften/Parser/PayloadParsers/ReplaceParser.h>
#include <Swiften/Parser/PayloadParsers/JingleFileTransferDescriptionParserFactory.h>
#include <Swiften/Parser/PayloadParsers/PubSubOwnerDefaultParser.h>
#include <Swiften/Parser/PayloadParsers/JingleFileTransferFileInfoParser.h>
#include <Swiften/Parser/PayloadParsers/DelayParser.h>
#include <Swiften/Parser/PayloadParsers/VCardUpdateParser.h>
#include <Swiften/Parser/PayloadParsers/StatusShowParser.h>
#include <Swiften/Parser/PayloadParsers/ForwardedParser.h>
#include <Swiften/Parser/PayloadParsers/MUCInvitationPayloadParser.h>
#include <Swiften/Parser/PayloadParsers/VCardParser.h>
#include <Swiften/Parser/PayloadParsers/JingleParserFactory.h>
#include <Swiften/Parser/PayloadParsers/IdleParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubOwnerAffiliationParser.h>
#include <Swiften/Parser/PayloadParsers/JingleS5BTransportMethodPayloadParser.h>
#include <Swiften/Parser/PayloadParsers/StartSessionParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubOwnerRedirectParser.h>
#include <Swiften/Parser/PayloadParsers/MUCOwnerPayloadParser.h>
#include <Swiften/Parser/PayloadParsers/ResultSetParser.h>
#include <Swiften/Parser/PayloadParsers/FormParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubEventItemsParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubEventParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubUnsubscribeParser.h>
#include <Swiften/Parser/PayloadParsers/JingleFileTransferDescriptionParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubSubscriptionParser.h>
#include <Swiften/Parser/PayloadParsers/MUCOwnerPayloadParserFactory.h>
#include <Swiften/Parser/PayloadParsers/JingleReasonParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubDefaultParser.h>
#include <Swiften/Parser/PayloadParsers/ErrorParserFactory.h>
#include <Swiften/Parser/PayloadParsers/CarbonsDisableParser.h>
#include <Swiften/Parser/PayloadParsers/SecurityLabelParserFactory.h>
#include <Swiften/Parser/PayloadParsers/UserTuneParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubEventPurgeParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubEventRedirectParser.h>
#include <Swiften/Parser/PayloadParsers/CarbonsReceivedParser.h>
#include <Swiften/Parser/PayloadParsers/SearchPayloadParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubOwnerDeleteParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubOwnerPurgeParser.h>
#include <Swiften/Parser/PayloadParsers/WhiteboardParser.h>
#include <Swiften/Parser/PayloadParsers/ChatStateParser.h>
#include <Swiften/Parser/PayloadParsers/S5BProxyRequestParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubOwnerPubSubParser.h>
#include <Swiften/Parser/PayloadParsers/DeliveryReceiptRequestParserFactory.h>
#include <Swiften/Parser/PayloadParsers/PriorityParser.h>
#include <Swiften/Parser/PayloadParsers/JingleContentPayloadParser.h>
#include <Swiften/Parser/PayloadParsers/MAMResultParser.h>
#include <Swiften/Parser/PayloadParsers/StatusParser.h>
#include <Swiften/Parser/PayloadParsers/CapsInfoParser.h>
#include <Swiften/Parser/PayloadParsers/IBBParser.h>
#include <Swiften/Parser/PayloadParsers/NicknameParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubItemsParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubOptionsParser.h>
#include <Swiften/Parser/PayloadParsers/RawXMLPayloadParserFactory.h>
#include <Swiften/Parser/PayloadParsers/PubSubParser.h>
#include <Swiften/Parser/PayloadParsers/BodyParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubEventDeleteParser.h>
#include <Swiften/Parser/PayloadParsers/ResourceBindParser.h>
#include <Swiften/Parser/PayloadParsers/MUCAdminPayloadParser.h>
#include <Swiften/Parser/PayloadParsers/DiscoInfoParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubErrorParser.h>
#include <Swiften/Parser/PayloadParsers/SecurityLabelsCatalogParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubEventAssociateParser.h>
#include <Swiften/Parser/PayloadParsers/MUCUserPayloadParser.h>
#include <Swiften/Parser/PayloadParsers/DiscoItemsParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubOwnerAffiliationsParser.h>
#include <Swiften/Parser/PayloadParsers/MUCUserPayloadParserFactory.h>
#include <Swiften/Parser/PayloadParsers/PubSubSubscribeParser.h>
#include <Swiften/Parser/PayloadParsers/PubSubEventItemParser.h>
#include <Swiften/Parser/PayloadParsers/ErrorParser.h>
#include <Swiften/Parser/PayloadParsers/FormParserFactory.h>
#include <Swiften/Jingle/JingleResponder.h>
#include <Swiften/Jingle/JingleSessionImpl.h>
#include <Swiften/Jingle/Jingle.h>
#include <Swiften/Jingle/IncomingJingleSessionHandler.h>
#include <Swiften/Jingle/AbstractJingleSessionListener.h>
#include <Swiften/Jingle/JingleSessionListener.h>
#include <Swiften/Jingle/JingleContentID.h>
#include <Swiften/Jingle/JingleSession.h>
#include <Swiften/Jingle/JingleSessionManager.h>
#include <Swiften/Jingle/FakeJingleSession.h>
#include <Swiften/Client/NickManagerImpl.h>
#include <Swiften/Client/BlockListImpl.h>
#include <Swiften/Client/CoreClient.h>
#include <Swiften/Client/ClientSessionStanzaChannel.h>
#include <Swiften/Client/NickResolver.h>
#include <Swiften/Client/ClientBlockListManager.h>
#include <Swiften/Client/Storages.h>
#include <Swiften/Client/ClientOptions.h>
#include <Swiften/Client/StanzaChannel.h>
#include <Swiften/Client/ClientXMLTracer.h>
#include <Swiften/Client/Client.h>
#include <Swiften/Client/XMLBeautifier.h>
#include <Swiften/Client/BlockList.h>
#include <Swiften/Client/ClientSession.h>
#include <Swiften/Client/NickManager.h>
#include <Swiften/Client/MemoryStorages.h>
#include <Swiften/Client/DummyNickManager.h>
#include <Swiften/Client/DummyStanzaChannel.h>
#include <Swiften/Client/ClientError.h>
#include <Swiften/Chat/ChatStateNotifier.h>
#include <Swiften/Chat/ChatStateTracker.h>
#include <Swiften/MUC/MUCBookmarkManager.h>
#include <Swiften/MUC/MUCBookmark.h>
#include <Swiften/MUC/MUCRegistry.h>
#include <Swiften/MUC/MUCImpl.h>
#include <Swiften/MUC/MUCManager.h>
#include <Swiften/MUC/MUC.h>
#include <Swiften/StringCodecs/PBKDF2.h>
#include <Swiften/StringCodecs/Base64.h>
#include <Swiften/StringCodecs/Hexify.h>
#include <Swiften/Whiteboard/WhiteboardSessionManager.h>
#include <Swiften/Whiteboard/WhiteboardSession.h>
#include <Swiften/Whiteboard/WhiteboardResponder.h>
#include <Swiften/Whiteboard/WhiteboardServer.h>
#include <Swiften/Whiteboard/IncomingWhiteboardSession.h>
#include <Swiften/Whiteboard/WhiteboardTransformer.h>
#include <Swiften/Whiteboard/WhiteboardClient.h>
#include <Swiften/Whiteboard/OutgoingWhiteboardSession.h>
#include <Swiften/History/HistoryMessage.h>
#include <Swiften/History/HistoryStorage.h>
#include <Swiften/Presence/DirectedPresenceSender.h>
#include <Swiften/Presence/SubscriptionManager.h>
#include <Swiften/Presence/PayloadAddingPresenceSender.h>
#include <Swiften/Presence/StanzaChannelPresenceSender.h>
#include <Swiften/Presence/PresenceOracle.h>
#include <Swiften/Presence/PresenceSender.h>
#include <Swiften/Serializer/AuthResponseSerializer.h>
#include <Swiften/Serializer/StanzaAckSerializer.h>
#include <Swiften/Serializer/CompressFailureSerializer.h>
#include <Swiften/Serializer/IQSerializer.h>
#include <Swiften/Serializer/XMPPSerializer.h>
#include <Swiften/Serializer/AuthSuccessSerializer.h>
#include <Swiften/Serializer/StreamResumeSerializer.h>
#include <Swiften/Serializer/AuthChallengeSerializer.h>
#include <Swiften/Serializer/StanzaSerializer.h>
#include <Swiften/Serializer/PresenceSerializer.h>
#include <Swiften/Serializer/PayloadSerializer.h>
#include <Swiften/Serializer/CompressRequestSerializer.h>
#include <Swiften/Serializer/GenericElementSerializer.h>
#include <Swiften/Serializer/PayloadSerializerCollection.h>
#include <Swiften/Serializer/StreamManagementEnabledSerializer.h>
#include <Swiften/Serializer/StreamManagementFailedSerializer.h>
#include <Swiften/Serializer/TLSProceedSerializer.h>
#include <Swiften/Serializer/GenericPayloadSerializer.h>
#include <Swiften/Serializer/StreamResumedSerializer.h>
#include <Swiften/Serializer/AuthRequestSerializer.h>
#include <Swiften/Serializer/ComponentHandshakeSerializer.h>
#include <Swiften/Serializer/StreamFeaturesSerializer.h>
#include <Swiften/Serializer/EnableStreamManagementSerializer.h>
#include <Swiften/Serializer/AuthFailureSerializer.h>
#include <Swiften/Serializer/StartTLSRequestSerializer.h>
#include <Swiften/Serializer/StartTLSFailureSerializer.h>
#include <Swiften/Serializer/GenericStanzaSerializer.h>
#include <Swiften/Serializer/StreamErrorSerializer.h>
#include <Swiften/Serializer/StanzaAckRequestSerializer.h>
#include <Swiften/Serializer/ElementSerializer.h>
#include <Swiften/Serializer/MessageSerializer.h>
#include <Swiften/Serializer/XML/XMLTextNode.h>
#include <Swiften/Serializer/XML/XMLNode.h>
#include <Swiften/Serializer/XML/XMLRawTextNode.h>
#include <Swiften/Serializer/XML/XMLElement.h>
#include <Swiften/Serializer/PayloadSerializers/StreamInitiationSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubItemsSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubOwnerPurgeSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/SearchPayloadSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/JingleFileTransferHashSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubEventSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/CapsInfoSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/RosterSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubOwnerSubscriptionsSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/JingleS5BTransportPayloadSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/FormSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/CarbonsSentSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubEventDeleteSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubOwnerRedirectSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubAffiliationSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubPublishSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/ChatStateSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubEventItemSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/SubjectSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubEventItemsSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubSubscribeOptionsSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubEventRetractSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubEventRedirectSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/S5BProxyRequestSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/RawXMLPayloadSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/DiscoItemsSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/IsodeIQDelegationSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/JingleFileTransferDescriptionSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/IBBSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubSubscriptionSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubOptionsSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubSubscribeSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubErrorSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/CarbonsPrivateSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubOwnerDeleteSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/UserTuneSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/DiscoInfoSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubEventDisassociateSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubOwnerConfigureSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/UserLocationSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/ResultSetSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/MUCDestroyPayloadSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubEventConfigurationSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/StartSessionSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/IdleSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/CarbonsReceivedSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/StorageSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/StreamInitiationFileInfoSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubConfigureSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/JingleContentPayloadSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/MAMQuerySerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PrivateStorageSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/SoftwareVersionSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubEventAssociateSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/CarbonsDisableSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubRetractSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/JingleFileTransferFileInfoSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubCreateSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/ReplaceSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PrioritySerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubItemSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/StatusShowSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/BodySerializer.h>
#include <Swiften/Serializer/PayloadSerializers/ThreadSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubAffiliationsSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/CommandSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubOwnerSubscriptionSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/DeliveryReceiptRequestSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/MUCAdminPayloadSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/DeliveryReceiptSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/ForwardedSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/JingleIBBTransportPayloadSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/LastSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubOwnerAffiliationsSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/StatusSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubEventSubscriptionSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/JinglePayloadSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubUnsubscribeSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/CarbonsEnableSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/NicknameSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/BytestreamsSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/WhiteboardSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/ResourceBindSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/SecurityLabelsCatalogSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/MUCPayloadSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubEventPurgeSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/MUCUserPayloadSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/FullPayloadSerializerCollection.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubOwnerDefaultSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/InBandRegistrationPayloadSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubDefaultSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/ErrorSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubOwnerAffiliationSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/RosterItemExchangeSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/MUCItemSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/SecurityLabelSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/MUCOwnerPayloadSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/BlockSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/VCardSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubEventCollectionSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/VCardUpdateSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/MAMFinSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/MUCInvitationPayloadSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/DelaySerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubOwnerPubSubSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/MAMResultSerializer.h>
#include <Swiften/Serializer/PayloadSerializers/PubSubSubscriptionsSerializer.h>
#include <Swiften/VCards/VCardMemoryStorage.h>
#include <Swiften/VCards/SetVCardRequest.h>
#include <Swiften/VCards/VCardManager.h>
#include <Swiften/VCards/VCardStorage.h>
#include <Swiften/VCards/GetVCardRequest.h>
#include <Swiften/JID/JID.h>
#include <Swiften/Network/PlatformDomainNameResolver.h>
#include <Swiften/Network/NetworkInterface.h>
#include <Swiften/Network/PlatformDomainNameQuery.h>
#include <Swiften/Network/BoostTimerFactory.h>
#include <Swiften/Network/UnixNetworkEnvironment.h>
#include <Swiften/Network/UnixProxyProvider.h>
#include <Swiften/Network/NATTraverser.h>
#include <Swiften/Network/DummyConnectionFactory.h>
#include <Swiften/Network/ConnectionFactory.h>
#include <Swiften/Network/DummyConnectionServerFactory.h>
#include <Swiften/Network/NATTraversalRemovePortForwardingRequest.h>
#include <Swiften/Network/HTTPTrafficFilter.h>
#include <Swiften/Network/BOSHConnectionPool.h>
#include <Swiften/Network/TimerFactory.h>
#include <Swiften/Network/Connection.h>
#include <Swiften/Network/FakeConnection.h>
#include <Swiften/Network/BoostConnectionServer.h>
#include <Swiften/Network/BOSHConnection.h>
#include <Swiften/Network/Timer.h>
#include <Swiften/Network/ConnectionServer.h>
#include <Swiften/Network/NetworkFactories.h>
#include <Swiften/Network/BoostNetworkFactories.h>
#include <Swiften/Network/PlatformNetworkEnvironment.h>
#include <Swiften/Network/SOCKS5ProxiedConnectionFactory.h>
#include <Swiften/Network/EnvironmentProxyProvider.h>
#include <Swiften/Network/DummyTimerFactory.h>
#include <Swiften/Network/PlatformNATTraversalWorker.h>
#include <Swiften/Network/NATPMPInterface.h>
#include <Swiften/Network/DomainNameAddressQuery.h>
#include <Swiften/Network/BoostConnectionFactory.h>
#include <Swiften/Network/HostNameOrAddress.h>
#include <Swiften/Network/ProxyProvider.h>
#include <Swiften/Network/PlatformDomainNameAddressQuery.h>
#include <Swiften/Network/DomainNameServiceQuery.h>
#include <Swiften/Network/BoostConnectionServerFactory.h>
#include <Swiften/Network/CachingDomainNameResolver.h>
#include <Swiften/Network/BoostTimer.h>
#include <Swiften/Network/PlatformDomainNameServiceQuery.h>
#include <Swiften/Network/NullNATTraverser.h>
#include <Swiften/Network/HTTPConnectProxiedConnectionFactory.h>
#include <Swiften/Network/TLSConnectionFactory.h>
#include <Swiften/Network/DomainNameResolver.h>
#include <Swiften/Network/SOCKS5ProxiedConnection.h>
#include <Swiften/Network/NATPortMapping.h>
#include <Swiften/Network/NATTraversalForwardPortRequest.h>
#include <Swiften/Network/GConfProxyProvider.h>
#include <Swiften/Network/Connector.h>
#include <Swiften/Network/HTTPConnectProxiedConnection.h>
#include <Swiften/Network/NetworkEnvironment.h>
#include <Swiften/Network/PlatformProxyProvider.h>
#include <Swiften/Network/DomainNameResolveError.h>
#include <Swiften/Network/MiniUPnPInterface.h>
#include <Swiften/Network/NullNATTraversalInterface.h>
#include <Swiften/Network/StaticDomainNameResolver.h>
#include <Swiften/Network/ProxiedConnection.h>
#include <Swiften/Network/HostAddress.h>
#include <Swiften/Network/DummyConnectionServer.h>
#include <Swiften/Network/BoostIOServiceThread.h>
#include <Swiften/Network/NATTraversalInterface.h>
#include <Swiften/Network/HostAddressPort.h>
#include <Swiften/Network/NATTraversalGetPublicIPRequest.h>
#include <Swiften/Network/TLSConnection.h>
#include <Swiften/Network/DummyConnection.h>
#include <Swiften/Network/ChainedConnector.h>
#include <Swiften/Network/ConnectionServerFactory.h>
#include <Swiften/Network/NullProxyProvider.h>
#include <Swiften/Network/SolarisNetworkEnvironment.h>
#include <Swiften/Network/BoostConnection.h>
#include <Swiften/Base/String.h>
#include <Swiften/Base/StartStopper.h>
#include <Swiften/Base/SafeAllocator.h>
#include <Swiften/Base/BoostRandomGenerator.h>
#include <Swiften/Base/DateTime.h>
#include <Swiften/Base/URL.h>
#include <Swiften/Base/SimpleIDGenerator.h>
#include <Swiften/Base/boost_bsignals.h>
#include <Swiften/Base/ByteArray.h>
#include <Swiften/Base/API.h>
#include <Swiften/Base/Atomic.h>
#include <Swiften/Base/Platform.h>
#include <Swiften/Base/Override.h>
#include <Swiften/Base/sleep.h>
#include <Swiften/Base/Regex.h>
#include <Swiften/Base/Tristate.h>
#include <Swiften/Base/SafeString.h>
#include <Swiften/Base/SafeByteArray.h>
#include <Swiften/Base/Concat.h>
#include <Swiften/Base/Path.h>
#include <Swiften/Base/BoostFilesystemVersion.h>
#include <Swiften/Base/Error.h>
#include <Swiften/Base/RandomGenerator.h>
#include <Swiften/Base/FileSize.h>
#include <Swiften/Base/Algorithm.h>
#include <Swiften/Base/IDGenerator.h>
#include <Swiften/Base/Paths.h>
#include <Swiften/Base/Listenable.h>
#include <Swiften/Base/Debug.h>
#include <Swiften/Queries/GetResponder.h>
#include <Swiften/Queries/Responder.h>
#include <Swiften/Queries/PubSubRequest.h>
#include <Swiften/Queries/SetResponder.h>
#include <Swiften/Queries/Request.h>
#include <Swiften/Queries/DummyIQChannel.h>
#include <Swiften/Queries/RawRequest.h>
#include <Swiften/Queries/IQRouter.h>
#include <Swiften/Queries/GenericRequest.h>
#include <Swiften/Queries/IQChannel.h>
#include <Swiften/Queries/IQHandler.h>
#include <Swiften/Queries/Responders/SoftwareVersionResponder.h>
#include <Swiften/Queries/Requests/SetPrivateStorageRequest.h>
#include <Swiften/Queries/Requests/GetPrivateStorageRequest.h>
#include <Swiften/Queries/Requests/GetSecurityLabelsCatalogRequest.h>
#include <Swiften/Queries/Requests/SubmitInBandRegistrationFormRequest.h>
#include <Swiften/Queries/Requests/GetInBandRegistrationFormRequest.h>
#include <Swiften/Queries/Requests/GetSoftwareVersionRequest.h>
#include <Swiften/PubSub/PubSubManager.h>
#include <Swiften/PubSub/PubSubManagerImpl.h>
#include <Swiften/PubSub/PubSubUtil.h>
#include <Swiften/FileTransfer/FailingTransportSession.h>
#include <Swiften/FileTransfer/FileTransferTransporterFactory.h>
#include <Swiften/FileTransfer/IncomingFileTransferManager.h>
#include <Swiften/FileTransfer/SOCKS5BytestreamServer.h>
#include <Swiften/FileTransfer/SOCKS5BytestreamServerPortForwardingUser.h>
#include <Swiften/FileTransfer/RemoteJingleTransportCandidateSelector.h>
#include <Swiften/FileTransfer/FileTransferOptions.h>
#include <Swiften/FileTransfer/OutgoingFileTransferManager.h>
#include <Swiften/FileTransfer/SOCKS5BytestreamServerSession.h>
#include <Swiften/FileTransfer/JingleFileTransfer.h>
#include <Swiften/FileTransfer/DefaultFileTransferTransporterFactory.h>
#include <Swiften/FileTransfer/ByteArrayReadBytestream.h>
#include <Swiften/FileTransfer/LocalJingleTransportCandidateGenerator.h>
#include <Swiften/FileTransfer/FileTransferTransporter.h>
#include <Swiften/FileTransfer/FileReadBytestream.h>
#include <Swiften/FileTransfer/IncrementalBytestreamHashCalculator.h>
#include <Swiften/FileTransfer/IncomingFileTransfer.h>
#include <Swiften/FileTransfer/FileTransferError.h>
#include <Swiften/FileTransfer/ByteArrayWriteBytestream.h>
#include <Swiften/FileTransfer/WriteBytestream.h>
#include <Swiften/FileTransfer/SOCKS5BytestreamProxyFinder.h>
#include <Swiften/FileTransfer/S5BTransportSession.h>
#include <Swiften/FileTransfer/SOCKS5BytestreamServerManager.h>
#include <Swiften/FileTransfer/IBBSendTransportSession.h>
#include <Swiften/FileTransfer/BytestreamsRequest.h>
#include <Swiften/FileTransfer/SOCKS5BytestreamRegistry.h>
#include <Swiften/FileTransfer/IncomingJingleFileTransfer.h>
#include <Swiften/FileTransfer/FileTransfer.h>
#include <Swiften/FileTransfer/FileTransferManagerImpl.h>
#include <Swiften/FileTransfer/StreamInitiationRequest.h>
#include <Swiften/FileTransfer/DefaultFileTransferTransporter.h>
#include <Swiften/FileTransfer/TransportSession.h>
#include <Swiften/FileTransfer/FileWriteBytestream.h>
#include <Swiften/FileTransfer/SOCKS5BytestreamClientSession.h>
#include <Swiften/FileTransfer/OutgoingJingleFileTransfer.h>
#include <Swiften/FileTransfer/IBBSendSession.h>
#include <Swiften/FileTransfer/IBBReceiveTransportSession.h>
#include <Swiften/FileTransfer/SOCKS5BytestreamProxiesManager.h>
#include <Swiften/FileTransfer/FileTransferManager.h>
#include <Swiften/FileTransfer/ReadBytestream.h>
#include <Swiften/FileTransfer/SOCKS5BytestreamServerResourceUser.h>
#include <Swiften/FileTransfer/OutgoingFileTransfer.h>
#include <Swiften/FileTransfer/IBBRequest.h>
#include <Swiften/FileTransfer/BytestreamException.h>
#include <Swiften/FileTransfer/IBBReceiveSession.h>
#include <Swiften/TLS/CertificateFactory.h>
#include <Swiften/TLS/CertificateVerificationError.h>
#include <Swiften/TLS/TLSOptions.h>
#include <Swiften/TLS/TLSContextFactory.h>
#include <Swiften/TLS/TLSContext.h>
#include <Swiften/TLS/SimpleCertificate.h>
#include <Swiften/TLS/TLSError.h>
#include <Swiften/TLS/CertificateWithKey.h>
#include <Swiften/TLS/ServerIdentityVerifier.h>
#include <Swiften/TLS/Certificate.h>
#include <Swiften/TLS/PKCS12Certificate.h>
#include <Swiften/TLS/CertificateTrustChecker.h>
#include <Swiften/TLS/PlatformTLSFactories.h>
#include <Swiften/TLS/BlindCertificateTrustChecker.h>
#include <Swiften/Roster/XMPPRosterController.h>
#include <Swiften/Roster/RosterMemoryStorage.h>
#include <Swiften/Roster/SetRosterRequest.h>
#include <Swiften/Roster/XMPPRosterItem.h>
#include <Swiften/Roster/RosterStorage.h>
#include <Swiften/Roster/RosterPushResponder.h>
#include <Swiften/Roster/XMPPRoster.h>
#include <Swiften/Roster/GetRosterRequest.h>
#include <Swiften/Roster/XMPPRosterImpl.h>
#include <Swiften/Component/ComponentSession.h>
#include <Swiften/Component/ComponentConnector.h>
#include <Swiften/Component/ComponentError.h>
#include <Swiften/Component/CoreComponent.h>
#include <Swiften/Component/Component.h>
#include <Swiften/Component/ComponentXMLTracer.h>
#include <Swiften/Component/ComponentSessionStanzaChannel.h>
#include <Swiften/Component/ComponentHandshakeGenerator.h>
#include <Swiften/Session/SessionStream.h>
#include <Swiften/Session/BOSHSessionStream.h>
#include <Swiften/Session/SessionTracer.h>
#include <Swiften/Session/Session.h>
#include <Swiften/Session/BasicSessionStream.h>
#include <Swiften/Entity/Entity.h>
#include <Swiften/Entity/PayloadPersister.h>
#include <Swiften/Entity/GenericPayloadPersister.h>
#include <Swiften/EventLoop/DummyEventLoop.h>
#include <Swiften/EventLoop/BoostASIOEventLoop.h>
#include <Swiften/EventLoop/EventLoop.h>
#include <Swiften/EventLoop/Event.h>
#include <Swiften/EventLoop/SingleThreadedEventLoop.h>
#include <Swiften/EventLoop/EventOwner.h>
#include <Swiften/EventLoop/SimpleEventLoop.h>
#include <Swiften/StreamManagement/StanzaAckRequester.h>
#include <Swiften/StreamManagement/StanzaAckResponder.h>
#include <Swiften/Compress/ZLibCompressor.h>
#include <Swiften/Compress/ZLibDecompressor.h>
#include <Swiften/Compress/ZLibException.h>
#include <Swiften/Compress/ZLibCodecompressor.h>
#include <Swiften/Disco/GetDiscoInfoRequest.h>
#include <Swiften/Disco/CapsMemoryStorage.h>
#include <Swiften/Disco/DiscoInfoResponder.h>
#include <Swiften/Disco/CapsManager.h>
#include <Swiften/Disco/DiscoServiceWalker.h>
#include <Swiften/Disco/JIDDiscoInfoResponder.h>
#include <Swiften/Disco/FeatureOracle.h>
#include <Swiften/Disco/CapsProvider.h>
#include <Swiften/Disco/DummyEntityCapsProvider.h>
#include <Swiften/Disco/GetDiscoItemsRequest.h>
#include <Swiften/Disco/CapsInfoGenerator.h>
#include <Swiften/Disco/EntityCapsManager.h>
#include <Swiften/Disco/CapsStorage.h>
#include <Swiften/Disco/EntityCapsProvider.h>
#include <Swiften/Disco/ClientDiscoManager.h>
#include <Swiften/Avatars/AvatarMemoryStorage.h>
#include <Swiften/Avatars/AvatarManagerImpl.h>
#include <Swiften/Avatars/VCardUpdateAvatarManager.h>
#include <Swiften/Avatars/CombinedAvatarProvider.h>
#include <Swiften/Avatars/AvatarManager.h>
#include <Swiften/Avatars/VCardAvatarManager.h>
#include <Swiften/Avatars/OfflineAvatarManager.h>
#include <Swiften/Avatars/NullAvatarManager.h>
#include <Swiften/Avatars/AvatarStorage.h>
#include <Swiften/Avatars/DummyAvatarManager.h>
#include <Swiften/Avatars/AvatarProvider.h>
#include <Swiften/LinkLocal/OutgoingLinkLocalSession.h>
#include <Swiften/LinkLocal/LinkLocalConnector.h>
#include <Swiften/LinkLocal/LinkLocalServiceInfo.h>
#include <Swiften/LinkLocal/IncomingLinkLocalSession.h>
#include <Swiften/LinkLocal/LinkLocalService.h>
#include <Swiften/LinkLocal/LinkLocalServiceBrowser.h>
#include <Swiften/LinkLocal/DNSSD/DNSSDRegisterQuery.h>
#include <Swiften/LinkLocal/DNSSD/DNSSDResolveHostnameQuery.h>
#include <Swiften/LinkLocal/DNSSD/PlatformDNSSDQuerierFactory.h>
#include <Swiften/LinkLocal/DNSSD/DNSSDServiceID.h>
#include <Swiften/LinkLocal/DNSSD/DNSSDBrowseQuery.h>
#include <Swiften/LinkLocal/DNSSD/DNSSDResolveServiceQuery.h>
#include <Swiften/LinkLocal/DNSSD/DNSSDQuerier.h>
#include <Swiften/LinkLocal/DNSSD/Fake/FakeDNSSDQuerier.h>
#include <Swiften/LinkLocal/DNSSD/Fake/FakeDNSSDResolveHostnameQuery.h>
#include <Swiften/LinkLocal/DNSSD/Fake/FakeDNSSDResolveServiceQuery.h>
#include <Swiften/LinkLocal/DNSSD/Fake/FakeDNSSDBrowseQuery.h>
#include <Swiften/LinkLocal/DNSSD/Fake/FakeDNSSDRegisterQuery.h>
#include <Swiften/LinkLocal/DNSSD/Fake/FakeDNSSDQuery.h>
#include <Swiften/SASL/SCRAMSHA1ClientAuthenticator.h>
#include <Swiften/SASL/DIGESTMD5Properties.h>
#include <Swiften/SASL/ClientAuthenticator.h>
#include <Swiften/SASL/DIGESTMD5ClientAuthenticator.h>
#include <Swiften/SASL/PLAINClientAuthenticator.h>
#include <Swiften/SASL/PLAINMessage.h>
#include <Swiften/SASL/EXTERNALClientAuthenticator.h>
#include <Swiften/Crypto/CryptoProvider.h>
#include <Swiften/Crypto/PlatformCryptoProvider.h>
#include <Swiften/Crypto/OpenSSLCryptoProvider.h>
#include <Swiften/Crypto/CommonCryptoCryptoProvider.h>
#include <Swiften/Crypto/Hash.h>
#include <Swiften/StreamStack/LowLayer.h>
#include <Swiften/StreamStack/CompressionLayer.h>
#include <Swiften/StreamStack/ConnectionLayer.h>
#include <Swiften/StreamStack/DummyStreamLayer.h>
#include <Swiften/StreamStack/StreamLayer.h>
#include <Swiften/StreamStack/HighLayer.h>
#include <Swiften/StreamStack/StreamStack.h>
#include <Swiften/StreamStack/TLSLayer.h>
#include <Swiften/StreamStack/WhitespacePingLayer.h>
#include <Swiften/StreamStack/XMPPLayer.h>
#include <Swiften/Elements/Presence.h>
#include <Swiften/Elements/ResourceBind.h>
#include <Swiften/Elements/PubSubOwnerAffiliation.h>
#include <Swiften/Elements/StreamManagementFailed.h>
#include <Swiften/Elements/PubSubOwnerConfigure.h>
#include <Swiften/Elements/CapsInfo.h>
#include <Swiften/Elements/MUCAdminPayload.h>
#include <Swiften/Elements/ComponentHandshake.h>
#include <Swiften/Elements/VCardUpdate.h>
#include <Swiften/Elements/StreamResumed.h>
#include <Swiften/Elements/Bytestreams.h>
#include <Swiften/Elements/StartTLSRequest.h>
#include <Swiften/Elements/EnableStreamManagement.h>
#include <Swiften/Elements/RosterItemExchangePayload.h>
#include <Swiften/Elements/PubSubEventRedirect.h>
#include <Swiften/Elements/IBB.h>
#include <Swiften/Elements/Message.h>
#include <Swiften/Elements/PubSubUnsubscribe.h>
#include <Swiften/Elements/PubSubOwnerSubscription.h>
#include <Swiften/Elements/ResultSet.h>
#include <Swiften/Elements/PubSubEventDelete.h>
#include <Swiften/Elements/FormReportedRef.h>
#include <Swiften/Elements/Payload.h>
#include <Swiften/Elements/HashElement.h>
#include <Swiften/Elements/StreamType.h>
#include <Swiften/Elements/PubSubEventCollection.h>
#include <Swiften/Elements/MUCPayload.h>
#include <Swiften/Elements/Element.h>
#include <Swiften/Elements/CompressFailure.h>
#include <Swiften/Elements/RosterItemPayload.h>
#include <Swiften/Elements/Forwarded.h>
#include <Swiften/Elements/StreamManagementEnabled.h>
#include <Swiften/Elements/PubSubOwnerPubSub.h>
#include <Swiften/Elements/JingleFileTransferFileInfo.h>
#include <Swiften/Elements/MUCDestroyPayload.h>
#include <Swiften/Elements/StreamInitiation.h>
#include <Swiften/Elements/Body.h>
#include <Swiften/Elements/CarbonsPrivate.h>
#include <Swiften/Elements/MAMFin.h>
#include <Swiften/Elements/PubSubDefault.h>
#include <Swiften/Elements/FormField.h>
#include <Swiften/Elements/DeliveryReceiptRequest.h>
#include <Swiften/Elements/PubSubSubscriptions.h>
#include <Swiften/Elements/PubSubPublish.h>
#include <Swiften/Elements/InBandRegistrationPayload.h>
#include <Swiften/Elements/PubSubSubscribeOptions.h>
#include <Swiften/Elements/VCard.h>
#include <Swiften/Elements/FormSection.h>
#include <Swiften/Elements/PubSubAffiliation.h>
#include <Swiften/Elements/Thread.h>
#include <Swiften/Elements/JingleFileTransferDescription.h>
#include <Swiften/Elements/PubSubSubscribe.h>
#include <Swiften/Elements/UnknownElement.h>
#include <Swiften/Elements/Replace.h>
#include <Swiften/Elements/JingleContentPayload.h>
#include <Swiften/Elements/UserTune.h>
#include <Swiften/Elements/PubSubOwnerPayload.h>
#include <Swiften/Elements/UnblockPayload.h>
#include <Swiften/Elements/JingleFileTransferHash.h>
#include <Swiften/Elements/SearchPayload.h>
#include <Swiften/Elements/FormPage.h>
#include <Swiften/Elements/StreamFeatures.h>
#include <Swiften/Elements/WhiteboardPayload.h>
#include <Swiften/Elements/ToplevelElement.h>
#include <Swiften/Elements/BlockListPayload.h>
#include <Swiften/Elements/S5BProxyRequest.h>
#include <Swiften/Elements/PubSubEvent.h>
#include <Swiften/Elements/Nickname.h>
#include <Swiften/Elements/PubSubEventItems.h>
#include <Swiften/Elements/AuthResponse.h>
#include <Swiften/Elements/MUCItem.h>
#include <Swiften/Elements/PubSubOwnerAffiliations.h>
#include <Swiften/Elements/Delay.h>
#include <Swiften/Elements/AuthRequest.h>
#include <Swiften/Elements/PubSub.h>
#include <Swiften/Elements/StatusShow.h>
#include <Swiften/Elements/Idle.h>
#include <Swiften/Elements/Form.h>
#include <Swiften/Elements/PubSubPayload.h>
#include <Swiften/Elements/CarbonsSent.h>
#include <Swiften/Elements/PubSubEventPurge.h>
#include <Swiften/Elements/TLSProceed.h>
#include <Swiften/Elements/PubSubItems.h>
#include <Swiften/Elements/MUCUserPayload.h>
#include <Swiften/Elements/MUCOwnerPayload.h>
#include <Swiften/Elements/PubSubEventDisassociate.h>
#include <Swiften/Elements/PubSubEventItem.h>
#include <Swiften/Elements/MUCOccupant.h>
#include <Swiften/Elements/SecurityLabelsCatalog.h>
#include <Swiften/Elements/PubSubEventPayload.h>
#include <Swiften/Elements/PrivateStorage.h>
#include <Swiften/Elements/PubSubOwnerRedirect.h>
#include <Swiften/Elements/JingleTransportPayload.h>
#include <Swiften/Elements/PubSubCreate.h>
#include <Swiften/Elements/JingleIBBTransportPayload.h>
#include <Swiften/Elements/JinglePayload.h>
#include <Swiften/Elements/PubSubEventAssociate.h>
#include <Swiften/Elements/JingleS5BTransportPayload.h>
#include <Swiften/Elements/SoftwareVersion.h>
#include <Swiften/Elements/PubSubOwnerDelete.h>
#include <Swiften/Elements/CompressRequest.h>
#include <Swiften/Elements/RawXMLPayload.h>
#include <Swiften/Elements/StartSession.h>
#include <Swiften/Elements/AuthChallenge.h>
#include <Swiften/Elements/SecurityLabel.h>
#include <Swiften/Elements/PubSubOwnerPurge.h>
#include <Swiften/Elements/PubSubAffiliations.h>
#include <Swiften/Elements/PubSubRetract.h>
#include <Swiften/Elements/PubSubOwnerSubscriptions.h>
#include <Swiften/Elements/IsodeIQDelegation.h>
#include <Swiften/Elements/PubSubSubscription.h>
#include <Swiften/Elements/Stanza.h>
#include <Swiften/Elements/PubSubItem.h>
#include <Swiften/Elements/MUCInvitationPayload.h>
#include <Swiften/Elements/PubSubConfigure.h>
#include <Swiften/Elements/ProtocolHeader.h>
#include <Swiften/Elements/Priority.h>
#include <Swiften/Elements/DeliveryReceipt.h>
#include <Swiften/Elements/Storage.h>
#include <Swiften/Elements/PubSubError.h>
#include <Swiften/Elements/StanzaAck.h>
#include <Swiften/Elements/PubSubEventSubscription.h>
#include <Swiften/Elements/JingleDescription.h>
#include <Swiften/Elements/CarbonsDisable.h>
#include <Swiften/Elements/Subject.h>
#include <Swiften/Elements/FormText.h>
#include <Swiften/Elements/DiscoInfo.h>
#include <Swiften/Elements/IQ.h>
#include <Swiften/Elements/UserLocation.h>
#include <Swiften/Elements/BlockPayload.h>
#include <Swiften/Elements/MAMQuery.h>
#include <Swiften/Elements/MAMResult.h>
#include <Swiften/Elements/Command.h>
#include <Swiften/Elements/AuthSuccess.h>
#include <Swiften/Elements/StartTLSFailure.h>
#include <Swiften/Elements/PubSubOwnerDefault.h>
#include <Swiften/Elements/StreamInitiationFileInfo.h>
#include <Swiften/Elements/ChatState.h>
#include <Swiften/Elements/RosterPayload.h>
#include <Swiften/Elements/Status.h>
#include <Swiften/Elements/Last.h>
#include <Swiften/Elements/PubSubOptions.h>
#include <Swiften/Elements/StreamError.h>
#include <Swiften/Elements/Version.h>
#include <Swiften/Elements/Compressed.h>
#include <Swiften/Elements/StanzaAckRequest.h>
#include <Swiften/Elements/ErrorPayload.h>
#include <Swiften/Elements/ContainerPayload.h>
#include <Swiften/Elements/StreamResume.h>
#include <Swiften/Elements/PubSubEventRetract.h>
#include <Swiften/Elements/CarbonsEnable.h>
#include <Swiften/Elements/DiscoItems.h>
#include <Swiften/Elements/AuthFailure.h>
#include <Swiften/Elements/CarbonsReceived.h>
#include <Swiften/Elements/PubSubEventConfiguration.h>
#include <Swiften/Elements/Whiteboard/WhiteboardLineElement.h>
#include <Swiften/Elements/Whiteboard/WhiteboardDeleteOperation.h>
#include <Swiften/Elements/Whiteboard/WhiteboardUpdateOperation.h>
#include <Swiften/Elements/Whiteboard/WhiteboardOperation.h>
#include <Swiften/Elements/Whiteboard/WhiteboardElementVisitor.h>
#include <Swiften/Elements/Whiteboard/WhiteboardColor.h>
#include <Swiften/Elements/Whiteboard/WhiteboardEllipseElement.h>
#include <Swiften/Elements/Whiteboard/WhiteboardInsertOperation.h>
#include <Swiften/Elements/Whiteboard/WhiteboardFreehandPathElement.h>
#include <Swiften/Elements/Whiteboard/WhiteboardElement.h>
#include <Swiften/Elements/Whiteboard/WhiteboardRectElement.h>
#include <Swiften/Elements/Whiteboard/WhiteboardTextElement.h>
#include <Swiften/Elements/Whiteboard/WhiteboardPolygonElement.h>
#include <Swiften/IDN/PlatformIDNConverter.h>
#include <Swiften/IDN/LibIDNConverter.h>
#include <Swiften/IDN/UTF8Validator.h>
#include <Swiften/IDN/IDNConverter.h>
#include <Swiften/AdHoc/OutgoingAdHocCommandSession.h>
